Package: ruby-capybara / 2.2.1-1

0004-Remove-uneeded-dependency-on-pry-in-tests.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
From: =?utf-8?q?J=C3=A9r=C3=A9my_Bobbio?= <lunar@debian.org>
Date: Fri, 28 Jun 2013 15:36:37 +0200
Subject: Remove uneeded dependency on pry in tests

---
 metadata.yml        |   14 --------------
 spec/spec_helper.rb |    1 -
 2 files changed, 15 deletions(-)

diff --git a/metadata.yml b/metadata.yml
index 3a4282c..ff542e0 100644
--- a/metadata.yml
+++ b/metadata.yml
@@ -213,20 +213,6 @@ dependencies:
     - - '>='
       - !ruby/object:Gem::Version
         version: '0'
-- !ruby/object:Gem::Dependency
-  name: pry
-  requirement: !ruby/object:Gem::Requirement
-    requirements:
-    - - '>='
-      - !ruby/object:Gem::Version
-        version: '0'
-  type: :development
-  prerelease: false
-  version_requirements: !ruby/object:Gem::Requirement
-    requirements:
-    - - '>='
-      - !ruby/object:Gem::Version
-        version: '0'
 description: Capybara is an integration testing tool for rack based web applications.
   It simulates how a user would interact with a website
 email:
diff --git a/spec/spec_helper.rb b/spec/spec_helper.rb
index 03ac1f2..9650bcb 100644
--- a/spec/spec_helper.rb
+++ b/spec/spec_helper.rb
@@ -1,5 +1,4 @@
 require "capybara/spec/spec_helper"
-require "pry"
 
 RSpec.configure do |config|
   Capybara::SpecHelper.configure(config)